package com.ruoyi.shipping.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 海运运价对象 t_ctnprice
 * 
 * @author ruoyi
 * @date 2021-04-06
 */
public class TCtnprice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 装货港 */
    @Excel(name = "装货港")
    private Long fPortofloadid;

    /** 目的港 */
    @Excel(name = "目的港")
    private Long fDistinationid;

    /** 中转港 */
    @Excel(name = "中转港")
    private Long fPortoftransshipment;

    /** 预计开船日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计开船日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEtd;

    /** 预计到达日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "预计到达日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEta;

    /** 航期 */
    @Excel(name = "航期")
    private Long fDays;

    /** 有效期起 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期起", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fBegindate;

    /** 有效期止 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "有效期止", width = 30, dateFormat = "yyyy-MM-dd")
    private Date fEnd;

    /** $column.columnComment */
    @Excel(name = "有效期止")
    private String fTeu;

    /** 航期 */
    @Excel(name = "航期")
    private String fDates;

    /** 默认 T ,正常T 停用F 下拉选择 */
    @Excel(name = "默认 T ,正常T 停用F 下拉选择")
    private String fStatus;
    //查询时间区间
    private List<String> cLoadDate;
    //装货港名称
    private String portofloadidName;
    //目的港名称
    private String distinationidName;
    //中转港名称
    private String portoftransshipmentName;
    //运价详情
    private List<TCtnpriceItems> tCtnpriceItemsList;

    public List<TCtnpriceItems> gettCtnpriceItemsList() {
        return tCtnpriceItemsList;
    }

    public void settCtnpriceItemsList(List<TCtnpriceItems> tCtnpriceItemsList) {
        this.tCtnpriceItemsList = tCtnpriceItemsList;
    }

    public String getPortofloadidName() {
        return portofloadidName;
    }

    public void setPortofloadidName(String portofloadidName) {
        this.portofloadidName = portofloadidName;
    }

    public String getDistinationidName() {
        return distinationidName;
    }

    public void setDistinationidName(String distinationidName) {
        this.distinationidName = distinationidName;
    }

    public String getPortoftransshipmentName() {
        return portoftransshipmentName;
    }

    public void setPortoftransshipmentName(String portoftransshipmentName) {
        this.portoftransshipmentName = portoftransshipmentName;
    }

    public List<String> getcLoadDate() {
        return cLoadDate;
    }

    public void setcLoadDate(List<String> cLoadDate) {
        this.cLoadDate = cLoadDate;
    }

    public void setfId(Long fId)
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPortofloadid(Long fPortofloadid) 
    {
        this.fPortofloadid = fPortofloadid;
    }

    public Long getfPortofloadid() 
    {
        return fPortofloadid;
    }
    public void setfDistinationid(Long fDistinationid) 
    {
        this.fDistinationid = fDistinationid;
    }

    public Long getfDistinationid() 
    {
        return fDistinationid;
    }
    public void setfPortoftransshipment(Long fPortoftransshipment) 
    {
        this.fPortoftransshipment = fPortoftransshipment;
    }

    public Long getfPortoftransshipment() 
    {
        return fPortoftransshipment;
    }
    public void setfEtd(Date fEtd) 
    {
        this.fEtd = fEtd;
    }

    public Date getfEtd() 
    {
        return fEtd;
    }
    public void setfEta(Date fEta) 
    {
        this.fEta = fEta;
    }

    public Date getfEta() 
    {
        return fEta;
    }
    public void setfDays(Long fDays) 
    {
        this.fDays = fDays;
    }

    public Long getfDays() 
    {
        return fDays;
    }
    public void setfBegindate(Date fBegindate) 
    {
        this.fBegindate = fBegindate;
    }

    public Date getfBegindate() 
    {
        return fBegindate;
    }
    public void setfEnd(Date fEnd) 
    {
        this.fEnd = fEnd;
    }

    public Date getfEnd() 
    {
        return fEnd;
    }
    public void setfTeu(String fTeu) 
    {
        this.fTeu = fTeu;
    }

    public String getfTeu() 
    {
        return fTeu;
    }
    public void setfDates(String fDates) 
    {
        this.fDates = fDates;
    }

    public String getfDates() 
    {
        return fDates;
    }
    public void setfStatus(String fStatus) 
    {
        this.fStatus = fStatus;
    }

    public String getfStatus() 
    {
        return fStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPortofloadid", getfPortofloadid())
            .append("fDistinationid", getfDistinationid())
            .append("fPortoftransshipment", getfPortoftransshipment())
            .append("fEtd", getfEtd())
            .append("fEta", getfEta())
            .append("fDays", getfDays())
            .append("fBegindate", getfBegindate())
            .append("fEnd", getfEnd())
            .append("fTeu", getfTeu())
            .append("fDates", getfDates())
            .append("fStatus", getfStatus())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
